<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start">
			<ion-button (click)="this.toPageListThanhVien()">
				<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
			</ion-button>
		</ion-buttons>
		
		<ion-title (click)="this.commonMethodsTs.toPage_AdminThanhVien()">
			Thông tin thành viên
		</ion-title>
	</ion-toolbar>
</ion-header>

<ion-content class="backgroud-content" color="light" fullscreen>
	<ion-segment #segment class="segment-info">
		<ion-segment-button [value]="1" checked>
			<ion-label>Thông tin</ion-label>
		</ion-segment-button>
		<ion-segment-button [value]="2">
			<ion-label>Thông tin point</ion-label>
		</ion-segment-button>

	</ion-segment>
	<ion-grid fixed class="ion-no-padding">
		<ion-list [hidden]="segment?.value != 1"  *ngIf="data" lines="none" class="list-info-user">
			<ion-list-header color="light">
				<ion-label class="fw700">Thông tin chung
				</ion-label>
			</ion-list-header>
			<ion-item *ngIf="data">
				<ion-label position="stacked">Họ tên: {{data.HoTen || this.lbl.noneUpdate}}</ion-label>
				<ion-label position="stacked">Địa chỉ: {{data.DiaChi || this.lbl.noneUpdate}}</ion-label>
				<ion-label position="stacked">Ngày sinh: {{data.NgaySinh|date:"dd-MM-yyyy"}}</ion-label>
				<ion-label position="stacked">Giới tính: {{data.GioiTinh? 'Nam': 'Nữ'}}</ion-label>
				<ion-label position="stacked">CMND:
					<u *ngIf="!data.DaXacThucCmnd" slot="end" (click)="xacNhanCMND()">
						<ion-icon color="warning" name='warning' slot="end"> </ion-icon>Chưa xác thực
					</u>
				</ion-label>
				<view-gallery class="gallery-cmnd" [ids]="[data.IdFileCmndTruoc, data.IdFileCmndSau]">
				</view-gallery>
				<ion-label position="stacked">Passport: {{data.Passport|| this.lbl.noneUpdate}}
					<u *ngIf="!data.DaXacThucPassport" slot="end" (click)="xacNhanPassport()">
						<ion-icon color="warning" name='warning' slot="end"> </ion-icon>Chưa xác thực
					</u>
				</ion-label>
				<view-gallery class="gallery-bs1" [ids]="data.ListHinhAnhJsonPassport"></view-gallery>
				<ion-label position="stacked">Giấy tờ khác:
					{{!data.ListHinhAnhJson? this.lbl.noneUpdate : ""}}</ion-label>
				<view-gallery class="gallery-bs1" [ids]="data.ListHinhAnhJson"></view-gallery>
			</ion-item>
		</ion-list>
		<ion-list [hidden]="segment?.value!=2" *ngIf="data" lines="none" class="ion-margin-bottom">
			<ion-item lines="none">
				<ion-label class="w-100p">
					<div class="w-100p ion-text-center text-bold">{{ this.data.HoTen }}</div>
					<div class="w-100p ion-text-center">Total point:
						{{ ((this.data.UserPoint.Point + this.data.UserPoint.PointUsed) || 0 )|number}}
					</div>
					<div class="w-100p ion-text-center">Point used:
						{{(this.data.UserPoint.PointUsed || 0)|number}}
					</div>
					<div class="w-100p ion-text-center">Ranking: {{ this.dataRank.TieuDe || 'Member' }} ({{
					this.dataRank.PercentDiscount  || 0 }}%)</div>
					<div class="w-100p ion-text-center" (click)="onLichSuMuaPoint()"><u>Lịch sử mua point</u></div>
				</ion-label>
			</ion-item>
			<view-rank [idSelected]="this.data.IdRank"></view-rank>

		</ion-list>
		<ion-list *ngIf="!data">
			<ion-item>
				<ion-text slot="start">
					<ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
					<ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
			<ion-item>
				<ion-text slot="start">
					<ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
					<ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
			<ion-item>
				<ion-text slot="start">
					<ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
					<ion-skeleton-text animated style="width: 45%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
			<ion-item>
				<ion-text slot="start">
					<ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
					<ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
			<ion-item>
				<ion-text slot="start">
					<ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
					<ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
			<ion-item>
				<ion-text slot="start">
					<ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
				</ion-text>
				<ion-label>
					<ion-skeleton-text animated style="width: 45%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
		</ion-list>

	</ion-grid>
	
</ion-content>